package com.goafanti.user.service;

import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.user.bo.InputUserFollowList;
import com.goafanti.user.bo.outFollowStatisticsList;
import com.goafanti.user.bo.outProvinceFollowStatistic;
import com.goafanti.user.bo.outUserFollowList;

import java.util.List;

public interface UserFollowService {
     Pagination<outUserFollowList> userFollowList(InputUserFollowList in);

    List<outUserFollowList> userFollowListExport(InputUserFollowList in);

    List<outFollowStatisticsList> followStatisticsList(String depId, String date,Integer province, Integer sort);

    List<outProvinceFollowStatistic> provinceFollowStatisticsList(String depId, String date, Integer province,Integer type ,Integer sort);
}
